cancel
Showing results for 
Search instead for 
Did you mean: 

Oracle 11G R2 failover support in SF HA for Oracle 5.0 MP1

I have Storage Foundation for Oracle HA 5.0 with MP1 with some point patches (details are shown below). Can this configuration support Oracle 11G R2 databases ? If this does not support, what is the MP level to which I need to upgrade ?

 

VxVM - Veritas-5.0_MP1_RP4.4:2007-12-30
VxVM - VERITAS-FS-5.0.1.2-2007-08-30-5.0MP1RP2=125762-02
VCS - Veritas-5.0MP1+e1084049-11/24/07-08:31:01
ODM - VERITAS-ODM-5.0.1.1-2007-08-08-RP1a=125850-01

Thanks,
Karthik

1 Solution

Accepted Solutions
Accepted Solution!

Oracle 11g does not appear to

Oracle 11g does not appear to be supported in 5.0MP1.

5.0MP3 appears to support Oracle 11g, however there is no mention of release (ie: it probably does not support 11g R2):

Veritas Storage Foundation 5.0MP3 (Solaris) Release Notes -> Changes in Storage Foundation -> Veritas Storage Foundation for Oracle (pp18-19)

https://sort.symantec.com/public/documents/sf/5.0MP3/solaris/pdf/sf_notes.pdf

--------------------
Veritas Storage Foundation for Oracle includes the following change in 5.0 MP3.

Support for new database
Veritas Storage Foundation for Oracle provides support for the Oracle™ 11g database in the 5.0 MP3 release.

The following features of Veritas Storage Foundation for Databases are supported in the Oracle 11g environment:
• Storage Checkpoints
• Storage mapping
• Database cloning (clonedb)
• Database Flashsnap
• Tiered storage for databases (DBDST)
• Quick I/O
• Veritas Extension for Oracle Disk Manager (ODM)

For 11g on Solaris:
If you are using ODM and and plan to use the init_ora "memory_target", you must apply the patch for Oracle bug 664726.
--------------------

SF 5.1 does appear to have support for Oracle 11g R2 on Solaris 10 according to the following link:

TECH74389: Supported Database versions for Storage Foundations(HA) and Storage Foundations for Databases(SFDB) tools
http://www.symantec.com/business/support/index?page=content&id=TECH74389

Hope that helps,

Grace

View solution in original post

5 Replies

By the way, the OS platform

By the way, the OS platform is Solaris 10 Sparc

Accepted Solution!

Oracle 11g does not appear to

Oracle 11g does not appear to be supported in 5.0MP1.

5.0MP3 appears to support Oracle 11g, however there is no mention of release (ie: it probably does not support 11g R2):

Veritas Storage Foundation 5.0MP3 (Solaris) Release Notes -> Changes in Storage Foundation -> Veritas Storage Foundation for Oracle (pp18-19)

https://sort.symantec.com/public/documents/sf/5.0MP3/solaris/pdf/sf_notes.pdf

--------------------
Veritas Storage Foundation for Oracle includes the following change in 5.0 MP3.

Support for new database
Veritas Storage Foundation for Oracle provides support for the Oracle™ 11g database in the 5.0 MP3 release.

The following features of Veritas Storage Foundation for Databases are supported in the Oracle 11g environment:
• Storage Checkpoints
• Storage mapping
• Database cloning (clonedb)
• Database Flashsnap
• Tiered storage for databases (DBDST)
• Quick I/O
• Veritas Extension for Oracle Disk Manager (ODM)

For 11g on Solaris:
If you are using ODM and and plan to use the init_ora "memory_target", you must apply the patch for Oracle bug 664726.
--------------------

SF 5.1 does appear to have support for Oracle 11g R2 on Solaris 10 according to the following link:

TECH74389: Supported Database versions for Storage Foundations(HA) and Storage Foundations for Databases(SFDB) tools
http://www.symantec.com/business/support/index?page=content&id=TECH74389

Hope that helps,

Grace

View solution in original post

If you just look at release

If you just look at release dates:

SF/HA 5.0 MP1 was released on 2007-04-02. (http://www.symantec.com/business/support/index?page=releasedetails&key=15066)
11g R2 was released Q4 2009 (http://www.dba-oracle.com/oracle11g/11gr2_11g_release_2.htm)
SF/HA 5.1 was released in Dec 2009.

It just makes sense that an older version of SF/HA would not support a database version that was released more than 2 years later...

Why not just upgrade to 5.1? If you maintenance is up to date, upgrade is free.

Upgrade to 5.1 is probably the smoothest upgrade I've ever done.

Hi,   On 5.0 MP3 Oracle 11G

Hi,

 

On 5.0 MP3 Oracle 11G R1 is supported, not R2.

 

https://sort.symantec.com/public/documents/sf/5.0MP3/solaris/html/vcs_oracle_install/ch01s03.htm

 

On 5.1 SP1 R2 is supported.

 

https://sort.symantec.com/public/documents/sfha/5.1sp1/solaris/productguides/html/vcs_oracle_agent/ch01s03.htm

 

Thanks everyone for the

Thanks everyone for the reply.

I did go through the release notes for 5.0 MP3, 5.1 and 5.1SP1. 5.1SP1 was the one explicitly stated 11G R2 support. 

My requirements are to be able to fail over and use ODM.I have tested failover of 11G R2 database in my current version (5.0MP1) to be working fine, though am unsure if ODM is going to work fine without any issues.

Regarding Upgrade 5.1 - Yes, we are trying to get it done in Q1-2011, just wanted to be sure if Oracle 11G R2 can be created before 5.1 upgrade.

Marianne - Also regarding 5.1 upgrade, Can I do an in-place upgrade with three 5.0MP1 machines running in a cluster by keeping all cluster configurations intact ?

Thanks,
Karthik